org.eclipse.microprofile.fault.tolerance.tck

## Class FallbackExceptionHierarchyTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.fault.tolerance.tck.FallbackExceptionHierarchyTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class FallbackExceptionHierarchyTest
    extends org.jboss.arquillian.testng.Arquillian

Test that `Fallback.applyOn()` and `Fallback.skipOn()` handle exception subclasses correctly.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`FallbackExceptionHierarchyTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `deploy()`
`void` `serviceAthrowsE0()`
`void` `serviceAthrowsE0S()`
`void` `serviceAthrowsE1()`
`void` `serviceAthrowsE1S()`
`void` `serviceAthrowsE2()`
`void` `serviceAthrowsE2S()`
`void` `serviceAthrowsError()`
`void` `serviceAthrowsException()`
`void` `serviceAthrowsRuntimeException()`
`void` `serviceBthrowsE0()`
`void` `serviceBthrowsE0S()`
`void` `serviceBthrowsE1()`
`void` `serviceBthrowsE1S()`
`void` `serviceBthrowsE2()`
`void` `serviceBthrowsE2S()`
`void` `serviceBthrowsError()`
`void` `serviceBthrowsException()`
`void` `serviceBthrowsRuntimeException()`
`void` `serviceCthrowsE0()`
`void` `serviceCthrowsE0S()`
`void` `serviceCthrowsE1()`
`void` `serviceCthrowsE1S()`
`void` `serviceCthrowsE2()`
`void` `serviceCthrowsE2S()`
`void` `serviceCthrowsError()`
`void` `serviceCthrowsException()`
`void` `serviceCthrowsRuntimeException()`
`void` `setup()`
`void` `teardown()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FallbackExceptionHierarchyTest

    public FallbackExceptionHierarchyTest()

### Method Detail

#### deploy

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

#### setup

    @BeforeMethod
    public void setup()

#### teardown

    @AfterMethod
    public void teardown()

#### serviceAthrowsException

    public void serviceAthrowsException()

#### serviceAthrowsE0

    public void serviceAthrowsE0()

#### serviceAthrowsE1

    public void serviceAthrowsE1()

#### serviceAthrowsE2

    public void serviceAthrowsE2()

#### serviceAthrowsE2S

    public void serviceAthrowsE2S()

#### serviceAthrowsE1S

    public void serviceAthrowsE1S()

#### serviceAthrowsE0S

    public void serviceAthrowsE0S()

#### serviceAthrowsRuntimeException

    public void serviceAthrowsRuntimeException()

#### serviceAthrowsError

    public void serviceAthrowsError()

#### serviceBthrowsException

    public void serviceBthrowsException()

#### serviceBthrowsE0

    public void serviceBthrowsE0()

#### serviceBthrowsE1

    public void serviceBthrowsE1()

#### serviceBthrowsE2

    public void serviceBthrowsE2()

#### serviceBthrowsE2S

    public void serviceBthrowsE2S()

#### serviceBthrowsE1S

    public void serviceBthrowsE1S()

#### serviceBthrowsE0S

    public void serviceBthrowsE0S()

#### serviceBthrowsRuntimeException

    public void serviceBthrowsRuntimeException()

#### serviceBthrowsError

    public void serviceBthrowsError()

#### serviceCthrowsException

    public void serviceCthrowsException()

#### serviceCthrowsE0

    public void serviceCthrowsE0()

#### serviceCthrowsE1

    public void serviceCthrowsE1()

#### serviceCthrowsE2

    public void serviceCthrowsE2()

#### serviceCthrowsE2S

    public void serviceCthrowsE2S()

#### serviceCthrowsE1S

    public void serviceCthrowsE1S()

#### serviceCthrowsE0S

    public void serviceCthrowsE0S()

#### serviceCthrowsRuntimeException

    public void serviceCthrowsRuntimeException()

#### serviceCthrowsError

    public void serviceCthrowsError()